> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar produtos

> Obtenha uma lista de todos os produtos.



## OpenAPI

````yaml get /products
openapi: 3.1.0
info:
  version: 1.0.0
  title: API Kiwify
  description: ''
servers:
  - url: https://public-api.kiwify.com/v1/
    description: base
security: []
tags:
  - name: Autenticação
  - name: Conta
  - name: Produtos
  - name: Vendas
  - name: Financeiro
  - name: Affiliados
  - name: Webhooks
  - name: Eventos
paths:
  /products:
    get:
      tags:
        - Produtos
      parameters:
        - name: page_size
          in: query
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Get Products
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse'
              examples:
                Products:
                  summary: Products example
                  value:
                    pagination:
                      count: 10
                      page_number: 1
                      page_size: 10
                    data:
                      - id: 1286a0c0-d492-11ed-9709-c3c5046ec174
                        name: Produto teste
                        type: membership
                        created_at: '2023-04-06T15:45:36.013Z'
                        currency: BRL
                        price: null
                        affiliate_enabled: false
                        status: active
                        payment_type: recurring
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
              examples:
                InvalidClient:
                  value:
                    error: auth_error
                    message: 'Invalid token: access token is invalid'
          description: Solicitação Inválida
      security:
        - AccountIdHeader: []
          OAuth2:
            - products
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        pagination:
          type: object
          properties:
            count:
              type: number
              example: 10
            page_number:
              type: number
              example: 1
            page_size:
              type: number
              example: 10
        data:
          type: array
          example: []
          items: {}
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: auth_error
        message:
          type: string
          example: 'Invalid client: client is invalid'
  securitySchemes:
    AccountIdHeader:
      type: apiKey
      in: header
      name: x-kiwify-account-id
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            stats: stats
            products: products
            events: events
            sales: sales
            sales_refund: sales_refund
            financial: financial
            affiliates: affiliates
            webhooks: webhooks

````